[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# UnregisterCollations

Unregister all collations.

## Declaration

Source position: unicodedata.pas line 558

`procedure UnregisterCollations(`
`const AFreeDynamicCollations: Boolean`
`);`

## Arguments

`AFreeDynamicCollations` |  | Should dynamic collations be freed from memory ?

## Description

UnregisterCollations unregisters all known collations. If AFreeDynamicCollations is True, then dynamic collations will be removed from memory using FreeCollation. This must normally be set to true.

## See also

RegisterCollation |  | Register a new collation
UnRegisterCollation |  | Remove a collation from the list of known collections.
LoadCollation |  | Load a binary collation data file from file
FreeCollation |  | Free collation data.